> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/inquirybandwidthclusterprice.md).

# InquiryBandwidthClusterPrice

## 1. 接口描述

本接口(InquiryBandwidthClusterPrice)用于查询共享带宽包价格。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                             | 必选 | 类型                                                                                          | 描述                                                                                                                                  |
| -------------------------------- | -- | ------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| areaCode                         | 是  | String                                                                                      | <p>共享带宽包所属地域。</p><p>具体地域信息可以查询<a href="/pages/hVeaJdaqZaATsTLcGclZ">DescribeBandwidthClusterAreas</a>中的<code>areaCode</code>获取。</p> |
| internetChargeType               | 是  | [InternetChargeType](/api-reference/cn/compute/traffic/datastructure.md#internetchargetype) | <p>带宽计费方式。</p><p>默认为月95计费，如果需要日峰值计费，请联系Support开通相关权限。</p><p>默认值：MonthlyPercent95Bandwidth</p>                                       |
| commitBandwidthMbps              | 否  | Integer                                                                                     | <p>保底带宽值。</p><p>单位: Mbps。</p><p>可选值范围：\[0, +)</p><p>默认值：0</p>                                                                       |
| internationalCommitBandwidthMbps | 否  | Integer                                                                                     | <p>国际线路保底带宽值。</p><p>单位: Mbps。</p><p>仅 PathBasedBandwidth 使用。</p><p>可选值范围：\[0, +)</p>                                                |
| networkType                      | 否  | [NetworkType](/api-reference/cn/compute/traffic/datastructure.md#networktype)               | IP 网络类型。                                                                                                                            |
| product                          | 否  | [ProductRange](/api-reference/cn/compute/traffic/datastructure.md#productrange)             | 城市带宽包所属的产品线范围。                                                                                                                      |

## 3. 响应结果

| 参数名称               | 类型                                                                        | 描述                                                       |
| ------------------ | ------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId          | String                                                                    | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| price              | [PriceItem](/api-reference/cn/compute/traffic/datastructure.md#priceitem) | 描述带宽包的价格信息。                                              |
| internationalPrice | [PriceItem](/api-reference/cn/compute/traffic/datastructure.md#priceitem) | <p>国际线路价格信息。</p><p>仅 PathBasedBandwidth 线路返回。</p>        |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询上海（SHA)地区共享带宽包 100 M保底，IP线路为BGP，计费类型为月95的价格。**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryBandwidthClusterPrice
<Common Request Params>

Request：
{
  "areaCode" : "SHA",
  "chargeType" : "POSTPAID",
  "commitBandwidthMbps" : 100,
  "networkType" : "BGP",
  "internetChargeType" : "MonthlyPercent95Bandwidth"
}

Response：
{
  "requestId": "TBF3D5D7B-DE28-42DC-AB14-03B73D777643",
  "response": {
    "price": {
      "unitPrice": 1300.000000,
      "originalPrice": null,
      "discountPrice": null,
      "discount": 100,
      "excessUnitPrice": 1.3,
      "excessAmountUnit": "Mbps",
      "stepPrices": null,
      "discountUnitPrice": 1300.000000,
      "chargeUnit": "MONTH",
      "amountUnit": null,
      "excessDiscountUnitPrice": 1.3
    },
    "requestId": "TBF3D5D7B-DE28-42DC-AB14-03B73D777643"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/inquirybandwidthclusterprice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
